Delete Relationship
Delete (remove) a Resource as RelationshipType of a specific Resource
NOTE: Removing a relationship is not synchronous. As a
result, the delete operation may not happen immediately. It is recommended
to query the relationships of the specific Resource back to ensure that the
operation was indeed successful.
Request
URI
DELETE
https://{api_host}/suite-api/api/resources/{id}/relationships/{relationshipType}/{relatedId}
COPY
Path Parameters
string
id
Required
The UUID of the resource
string
relationshipType
Required
Type of the Relationship that needs to be removed
string
relatedId
Required
The UUID of the resource to remove from relationship
Responses
204
The relationship is deleted successfully
Operation doesn't return any data structure
404
Either of the Resource that are part of the path parameters are invalid/non-existent
Operation doesn't return any data structure
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/suite-api/api/resources/{id}/relationships/{relationshipType}/{relatedId}
Resource Operations
GET
Get Relationship
PUT
Set Relationship
POST
Add Relationship
PUT
Stop Monitoring Resource
Deprecated
PUT
Start Monitoring Resource
Deprecated
PUT
Mark Resource As Being Maintained
DELETE
Unmark Resource As Being Maintained
PUT
Update Geo Location Of Resource
GET
Get Stats Of Resource
POST
Add Stats
POST
Get Stats For Resource
POST
Add Stats Using Push Adapter Kind
GET
Get Resource Properties
POST
Add Properties
POST
Add Properties Using Push Adapter Kind
GET
Get Resource
DELETE
Delete Resource
GET
Get Top N Stats Of Resource
GET
Get Latest Stats
GET
Get DT Stats Of Resource
GET
Get Stat Keys
GET
Get Relationships
DELETE
Delete Relationship